szerokosc, wysokosc = [int(n) for n in input().split()]
dane = [(szerokosc + 2) * '.']
for _ in range(wysokosc):
    dane.append('.' + input() + '.')
dane.append((szerokosc + 2) * '.')
wynik = 0
for i in range(wysokosc + 1):
    for j in range(szerokosc + 1):
        if dane[i][j] == '#':
            wynik += 2
        if dane[i][j] != dane[i][j + 1]:
            wynik += 1
        if dane[i][j] != dane[i + 1][j]:
            wynik += 1
print(wynik)
